Package tigase.eventbus.component

# Class EventReceiverModule

java.lang.Object
tigase.component.modules.AbstractModule
tigase.eventbus.component.AbstractEventBusModule
tigase.eventbus.component.EventReceiverModule

All Implemented Interfaces:
  `Module`

@Bean(name="receiver", active=true) public class EventReceiverModule extends AbstractEventBusModule

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID`

  ### Fields inherited from class tigase.component.modules.AbstractModule

  `eventBus, writer`

  ### Fields inherited from interface tigase.component.modules.Module

  `EMPTY_FEATURES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventReceiverModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getFeatures()`
  Returns XMPP features offered by module.
  `Criteria`
  `getModuleCriteria()`
  Returns critera used by Component to select module to handle incoming stanza.
  `void`
  `process(Packet packet)`
  Process incoming stanza.

  ### Methods inherited from class tigase.eventbus.component.AbstractEventBusModule

  `isClusteredEventBus, nextStanzaID`

  ### Methods inherited from class tigase.component.modules.AbstractModule

  `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.modules.Module

  `canHandle`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EventReceiverModule

    public EventReceiverModule()

- ## Method Details

  - ### getFeatures

    public String[] getFeatures()
    Description copied from interface: `Module`
    Returns XMPP features offered by module. Features will be returned by Service Discovery.
    Returns:
      array of features or `null`.

  - ### getModuleCriteria

    public Criteria getModuleCriteria()
    Description copied from interface: `Module`
    Returns critera used by Component to select module to handle incoming stanza.
    Returns:
      criteria of selecting module.

  - ### process

    public void process(Packet packet) throws ComponentException, TigaseStringprepException
    Description copied from interface: `Module`
    Process incoming stanza.
    Parameters:
      `packet` - received `stanza`.
    Throws:
      `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.
      `TigaseStringprepException` - if there was an error during stringprep processing.